Bug 1081631 - (CVE-2018-7247) VUL-0: CVE-2018-7247: leptonica: Unbound memory access
(CVE-2018-7247)
VUL-0: CVE-2018-7247: leptonica: Unbound memory access
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 42.3
Other Other
: P3 - Medium : Minor (vote)
: ---
Assigned To: Security Team bot
E-mail List
https://smash.suse.de/issue/200341/
CVSSv3:RedHat:CVE-2018-7247:3.3:(AV:L...
:
Depends on: CVE-2018-7186
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-19 16:59 UTC by Karol Babioch
Modified: 2018-03-06 23:44 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-02-19 16:59:01 UTC
prog/htmlviewer: Catch unbound memory access (CID 1386222)

rootname can have any size, so limit the amount of copied bytes.

References:
https://github.com/DanBloomberg/leptonica/commit/c1079bb8e77cdd426759e466729917ca37a3ed9f
Comment 1 Karol Babioch 2018-02-19 17:22:48 UTC
This has been assigned: CVE-2018-7247
Comment 2 Karol Babioch 2018-02-21 14:27:05 UTC
Fixed in Factory already (due to version bump to 1.75.3).
Comment 3 Swamp Workflow Management 2018-02-23 17:40:15 UTC
This is an autogenerated message for OBS integration:
This bug (1081631) was mentioned in
https://build.opensuse.org/request/show/579554 42.3 / leptonica
Comment 4 Andreas Stieger 2018-03-06 19:23:12 UTC
release for Leap
Comment 5 Swamp Workflow Management 2018-03-06 23:10:00 UTC
openSUSE-SU-2018:0615-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1079358,1081576,1081631
CVE References: CVE-2018-3836,CVE-2018-7186,CVE-2018-7247
Sources used:
openSUSE Leap 42.3 (src):    leptonica-1.72-9.1